# Alfresco MCP Server Documentation

Welcome to the documentation for the Alfresco MCP Server! This directory contains guides, tutorials, and reference materials to help you get the most out of your Alfresco integration.

## 📚 Documentation Index

### 🚀 Getting Started
- [`quick_start_guide.md`](quick_start_guide.md) - Get up and running in 5 minutes
- [`configuration_guide.md`](configuration_guide.md) - Configuration options and setup

### 🔧 Technical Guides
- [`api_reference.md`](api_reference.md) - Complete API reference for all 15 tools

### 🏗️ Development & Testing
- [`testing_guide.md`](testing_guide.md) - Running tests and validation

### 🆘 Support & Troubleshooting
- [`troubleshooting.md`](troubleshooting.md) - Common issues and solutions

## 🎯 Quick Navigation

| I want to... | Read this |
|--------------|-----------|
| **Get started quickly** | [`quick_start_guide.md`](quick_start_guide.md) |
| **Configure my setup** | [`configuration_guide.md`](configuration_guide.md) |
| **Learn about all tools** | [`api_reference.md`](api_reference.md) |
| **Run tests** | [`testing_guide.md`](testing_guide.md) |
| **Troubleshoot issues** | [`troubleshooting.md`](troubleshooting.md) |

## 📖 Documentation Standards

All documentation in this directory follows these standards:

- ✅ **Clear Examples**: Every feature includes working code examples
- ✅ **Step-by-Step**: Complex procedures broken into manageable steps
- ✅ **Cross-Referenced**: Related topics linked throughout
- ✅ **Tested**: All code examples are tested and verified
- ✅ **Version Aware**: Marked with applicable version information

## 🔄 Recent Updates

- **v1.1.0**: Updated tool count and improved documentation
- **v1.1.0**: Corrected tool count to 15 (4 search + 11 core tools)
- **v1.1.0**: Removed marketing language for professional tone
- **v1.0.0**: Initial production release with FastMCP 2.0

## 🤝 Contributing to Documentation

Found an error or want to improve the docs? Create an issue or pull request on GitHub.

## 📞 Need Help?

- 🔍 Browse [`troubleshooting.md`](troubleshooting.md) for solutions
- 🐛 Report issues via GitHub Issues

---

**📌 Pro Tip**: Bookmark this page and use it as your central hub for all Alfresco MCP Server documentation needs! 